<?php

declare(strict_types=1);

namespace Drupal\govmetric\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Govmetric settings for this site.
 */
final class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'govmetric_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return ['govmetric.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['status'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Enabled'),
      '#default_value' => $this->config('govmetric.settings')->get('status'),
    ];
    $form['id'] = [
      '#type' => 'textfield',
      '#title' => $this->t('ID'),
      '#required' => TRUE,
      '#default_value' => $this->config('govmetric.settings')->get('id'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state): void {
    $this->config('govmetric.settings')
      ->set('status', $form_state->getValue('status'))
      ->set('id', $form_state->getValue('id'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
